petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCSetDM

Sets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSetDM(PC pc,DM dm)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| dm | - the dm, can be NULL

### Developer Notes

The routines KSP/SNES/TSSetDM() require the dm to be non-NULL, but this one can be NULL since all it does is replace the current DM

### See Also

PCGetDM(), KSPSetDM(), KSPGetDM()

### Level

intermediate

### Location

src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages